com.google.appengine.api.search

## Class AddResponse

- java.lang.Object
- - com.google.appengine.api.search.AddResponse

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<OperationResult>

  Deprecated.
  as of 1.7.3. Use `PutResponse` instead.

      @Deprecated
      public class AddResponse
      extends java.lang.Object
      implements java.lang.Iterable<OperationResult>, java.io.Serializable

  Represents a result of adding a list of objects (documents or queries) to an index. The response contains a list of `OperationResult` indicating success or not of adding each of the objects, and a list of Id of the objects which are those given in the request or allocated by the search service to those objects which do not have an Id supplied.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getIds()` Deprecated.
    `java.util.List<OperationResult>` | `getResults()` Deprecated.
    `java.util.Iterator<OperationResult>` | `iterator()` Deprecated.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### iterator

          public java.util.Iterator<OperationResult> iterator()

      Deprecated.
      Specified by:
        `iterator` in interface `java.lang.Iterable<OperationResult>`

    - #### getResults

          public java.util.List<OperationResult> getResults()

      Deprecated.
      Returns:
        an unmodifiable list of `OperationResult` indicating whether each `Document` was added or not

    - #### getIds

          public java.util.List<java.lang.String> getIds()

      Deprecated.
      Returns:
        an unmodifiable list of Ids

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`